slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorSetFromOptions(SVD svd,const char opt[],const char name[],void *ctx,PetscBool trackall)

Collective

### Input Parameters

| svd | - the singular value solver context
| opt | - the command line option for this monitor
| name | - the monitor type one is seeking
| ctx | - an optional user context for the monitor, or NULL
| trackall | - whether this monitor tracks all singular values or not

### See Also

SVDMonitorSet(), SVDSetTrackAll()

### Level

developer

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages